OpenVDB: RootNodeMask::DenseIterator Class Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
RootNodeMask::DenseIterator Class Reference

`#include <openvdb/util/NodeMasks.h>`

Inheritance diagram for RootNodeMask::DenseIterator:

## Public Member Functions
| DenseIterator ()
| DenseIterator (Index32 pos, const RootNodeMask *parent)
void | increment ()
void | increment (Index n)
bool | next ()
bool | operator* () const
DenseIterator & | operator++ ()
bool | operator== (const BaseIterator &iter) const
bool | operator!= (const BaseIterator &iter) const
bool | operator< (const BaseIterator &iter) const
Index32 | offset () const
Index32 | pos () const
bool | test () const
| operator bool () const

## Protected Attributes
Index32 | mPos
Index32 | mBitSize
const RootNodeMask * | mParent

## Constructor & Destructor Documentation

## ◆ DenseIterator() [1/2]

DenseIterator | ( |  | ) |
| inline

## ◆ DenseIterator() [2/2]

DenseIterator | ( | Index32 | pos,
|  | const RootNodeMask * | parent )
| inline

## Member Function Documentation

## ◆ increment() [1/2]

void increment | ( |  | ) |
| inline

## ◆ increment() [2/2]

void increment | ( | Index | n | ) |
| inline

## ◆ next()

bool next | ( |  | ) |
| inline

## ◆ offset()

Index32 offset | ( |  | ) | const
| inlineinherited

## ◆ operator bool()

operator bool | ( |  | ) | const
| inlineinherited

## ◆ operator!=()

bool operator!= | ( | const BaseIterator & | iter | ) | const
| inlineinherited

## ◆ operator*()

bool operator* | ( |  | ) | const
| inline

## ◆ operator++()

DenseIterator & operator++ | ( |  | ) |
| inline

## ◆ operator<()

bool operator< | ( | const BaseIterator & | iter | ) | const
| inlineinherited

## ◆ operator==()

bool operator== | ( | const BaseIterator & | iter | ) | const
| inlineinherited

## ◆ pos()

Index32 pos | ( |  | ) | const
| inlineinherited

## ◆ test()

bool test | ( |  | ) | const
| inlineinherited

## Member Data Documentation

## ◆ mBitSize

Index32 mBitSize
| protected

## ◆ mParent

const RootNodeMask* mParent
| protected

## ◆ mPos

Index32 mPos
| protected